Package org.apache.catalina.ha.backend

## Class HeartbeatListener

- java.lang.Object
- - org.apache.catalina.ha.backend.HeartbeatListener

All Implemented Interfaces:
  `ContainerListener`, `LifecycleListener`

    public class HeartbeatListener
    extends java.lang.Object
    implements LifecycleListener, ContainerListener

### Constructor Summary

Constructors
`HeartbeatListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `containerEvent​(ContainerEvent event)` Acknowledge the occurrence of the specified event.
`java.lang.String` `getGroup()`
`java.lang.String` `getHost()`
`int` `getMultiport()`
`java.lang.String` `getProxyList()`
`java.lang.String` `getProxyURL()`
`int` `getTtl()`
`void` `lifecycleEvent​(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeartbeatListener

    public HeartbeatListener()

### Method Detail

#### getHost

    public java.lang.String getHost()

#### getGroup

    public java.lang.String getGroup()

#### getMultiport

    public int getMultiport()

#### getTtl

    public int getTtl()

#### getProxyList

    public java.lang.String getProxyList()

#### getProxyURL

    public java.lang.String getProxyURL()

#### containerEvent

    public void containerEvent​(ContainerEvent event)

Description copied from interface: `ContainerListener`
Acknowledge the occurrence of the specified event.

Specified by:
  `containerEvent` in interface `ContainerListener`
Parameters:
  `event` - ContainerEvent that has occurred

#### lifecycleEvent

    public void lifecycleEvent​(LifecycleEvent event)

Description copied from interface: `LifecycleListener`
Acknowledge the occurrence of the specified event.

Specified by:
  `lifecycleEvent` in interface `LifecycleListener`
Parameters:
  `event` - LifecycleEvent that has occurred